$(function() {
    // Initialize main menu
    $('#side-menu').metisMenu();

    // Initialize main menu
    $('.metisFolder').metisMenu({
        toggle: false
    });
    
    // Initialize date and datetime picker components
    $('.datepicker').datetimepicker({
        //locale: 'en',
        format: 'YYYY-MM-DD'
    });
    $('.datetimepicker').datetimepicker({
        //locale: 'en',
        format: 'YYYY-MM-DD HH:mm:ss'
    });

    // Initialize select pickers
    $('.selectpicker').selectpicker();
    
    // Initialize linked date and datetime picker components
    $('#datetimepicker-from').datetimepicker({
        //locale: 'en',
        format: 'YYYY-MM-DD HH:mm:ss'
    });
    $('#datetimepicker-to').datetimepicker({
        //locale: 'en',
        format: 'YYYY-MM-DD HH:mm:ss',
        useCurrent: false //Important! See issue #1075
    });
    $("#datetimepicker-from").on("dp.change", function (e) {
        $('#datetimepicker-to').data("DateTimePicker").minDate(e.date);
    });
    $("#datetimepicker-to").on("dp.change", function (e) {
        $('#datetimepicker-from').data("DateTimePicker").maxDate(e.date);
    });

    // Initialize tooltips
    $('body').tooltip({
        selector: "[data-toggle=tooltip]",
        container: "body",
    });

    // Tooltips for navbar tabs require special handling
    $('.nav-tabs-tooltipped').tooltip({
        selector: "[data-toggle=tab]",
        trigger: 'hover',
        placement: 'top',
        animate: true,
        container: 'body'
    });

    $('.mentat-datatable').DataTable({
        "responsive": true,
        "pageLength": 20,
        "paging": true,
    });
    $('.mentat-datatable-nopaging').DataTable({
        "responsive": true,
        "pageLength": 20,
        "paging": false,
    });

    // Vizualization of currently selected filter type (simple, advanced)
    $('#frm-flt-types').change(function(e){
        //!val = this.value
        //!alert('Simple: ' + val)
        $('.filter-simple').addClass('active');
        $('.filter-advanced').removeClass('active')
    });
    $('#frm-flt-typea').change(function(e){
        //!val = this.value
        //!alert('Advanced: ' + val)
        $('.filter-simple').removeClass('active');
        $('.filter-advanced').addClass('active')
    });

    // Vizualization of currently selected report timing (default, custom)
    $('#frm-grp-rttype-c').change(function(e){
        //!val = this.value
        //!alert('Simple: ' + val)
        $('.timing-custom').addClass('active');
        $('.timing-default').removeClass('active')
    });
    $('#frm-grp-rttype-d').change(function(e){
        //!val = this.value
        //!alert('Advanced: ' + val)
        $('.timing-custom').removeClass('active');
        $('.timing-default').addClass('active')
    });
});

//Loads the correct sidebar on window load,
//collapses the sidebar on window resize.
// Sets the min-height of #page-wrapper to window size
$(function() {
    $(window).bind("load resize", function() {
        topOffset = 50;
        width = (this.window.innerWidth > 0) ? this.window.innerWidth : this.screen.width;
        if (width < 768) {
            $('div.navbar-collapse').addClass('collapse');
            topOffset = 100; // 2-row-menu
        } else {
            $('div.navbar-collapse').removeClass('collapse');
        }

        height = ((this.window.innerHeight > 0) ? this.window.innerHeight : this.screen.height) - 1;
        height = height - topOffset;
        if (height < 1) height = 1;
        if (height > topOffset) {
            $("#page-wrapper").css("min-height", (height) + "px");
        }
    });

    var url = window.location;
    var element = $('ul.nav a').filter(function() {
        return this.href == url || url.href.indexOf(this.href) == 0;
    }).addClass('active').parent().parent().addClass('in').parent();
    if (element.is('li')) {
        element.addClass('active');
    }
});
